
package de.ivu.elect.presentation.wahl.menu;

import javax.annotation.Nullable;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.WahlterminStichwahlCreateView;

public class WahlterminStichwahlAnlegenMenuItemEntry extends AbstractWahlterminMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WahlterminStichwahlAnlegenMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && isStichwahlMoeglich();
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLTERMIN_STICHWAHL_CREATE;
  }

  private boolean isStichwahlMoeglich() {
    return isWahlterminSelected() && getSelectedWahltermin().isStichwahlMoeglich();
  }

  @Nullable
  @Override
  public String getTargetViewId() {
    return WahlterminStichwahlCreateView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "wahltermin.stichwahl.create";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconPin();
  }
}
